summaryrefslogtreecommitdiffstats
path: root/source/a/mdadm/mdadm.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/mdadm/mdadm.SlackBuild')
-rwxr-xr-xsource/a/mdadm/mdadm.SlackBuild10
1 files changed, 6 insertions, 4 deletions
diff --git a/source/a/mdadm/mdadm.SlackBuild b/source/a/mdadm/mdadm.SlackBuild
index 4e59b7030..71f7c1a31 100755
--- a/source/a/mdadm/mdadm.SlackBuild
+++ b/source/a/mdadm/mdadm.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,7 +21,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=2.6.9
+VERSION=3.1.5
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -45,8 +45,10 @@ rm -rf mdadm-$VERSION
tar xjvf $CWD/mdadm-$VERSION.tar.bz2 || exit 1
cd mdadm-$VERSION
-# Build this static:
-zcat $CWD/mdadm.static.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+# With glibc on the initrd and installer, there is no longer a
+# good reason to compile this statically. Commented out.
+## Build this static:
+##zcat $CWD/mdadm.static.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
chown -R root:root .
find . \